package rules.aws_s3_bucket_encryption

__rego__metadoc__ := {
  "id": "S3_ENCRYPTION",
  "title": "S3 Bucket encryption should be enabled",
  "custom": {"severity": "Medium"}
}

resource_type = "aws_s3_bucket"

deny[msg] {
  count(input.server_side_encryption_configuration) == 0
  msg = "Fail"
}